function gadget:GetInfo()
	return {
		name = "AI Booster",
		desc = "P.U.R.E. AI Booster",
		author = "Argh",
		date = "December 9th, 2008",
		license = "(C) Wolfe Games, 2008",
		layer = 0,
		enabled = true,
	}
end

if (gadgetHandler:IsSyncedCode()) then

function gadget:GameFrame(f)
	if f == 48 then
		local mapSizeX = Game.mapSizeX
		local mapSizeZ = Game.mapSizeZ
		for TeamNum = 0,32,1 do
   			_, _, _, isAITeam, TeamSide, _ = Spring.GetTeamInfo(TeamNum)
   			if isAITeam ~= false and isAITeam ~= nil and TeamNum ~= Spring.GetGaiaTeamID() and TeamNum ~= 0 then
				local UnitSpawns = Spring.GetTeamUnits(TeamNum)
				local x,y,z = Spring.GetUnitPosition(UnitSpawns[1])
				local u = 0
				--Spring.Echo("AI Team found",TeamNum,TeamSide,x,y,z,mapSizeX,mapSizeZ)
				if x >= mapSizeX /2 then
					if z >= mapSizeZ / 2 then -- LOWER RIGHT QUAD
						if TeamSide == "resistance" or TeamSide == "core" then
							u = Spring.CreateUnit("ar_trooper_black", x - 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x - 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x - 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x - 256,y,z - 256, 2, TeamNum)
						end
						if TeamSide == "overmind" or TeamSide == "arm" then
							u = Spring.CreateUnit("ar_trooper_blue", x - 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x - 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x - 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x - 256,y,z - 256, 2, TeamNum)
						end
					else -- UPPER LEFT QUAD
						if TeamSide == "resistance" or TeamSide == "core" then
							u = Spring.CreateUnit("ar_trooper_black", x - 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x - 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x - 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x - 256,y,z + 256, 0, TeamNum)
						end

						if TeamSide == "overmind" or TeamSide == "arm" then
							u = Spring.CreateUnit("ar_trooper_blue", x - 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x - 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x - 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x - 256,y,z + 256, 0, TeamNum)
						end					
					end
				else
					if z >= mapSizeZ / 2 then -- LOWER LEFT QUAD
						if TeamSide == "resistance" or TeamSide == "core" then
							u = Spring.CreateUnit("ar_trooper_black", x + 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x + 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x + 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x + 256,y,z - 256, 2, TeamNum)
						end

						if TeamSide == "overmind" or TeamSide == "arm" then
							u = Spring.CreateUnit("ar_trooper_blue", x + 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x + 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x + 256,y,z - 256, 2, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x + 256,y,z - 256, 2, TeamNum)
						end
					else  -- UPPER LEFT QUAD
						if TeamSide == "resistance" or TeamSide == "core" then
							u = Spring.CreateUnit("ar_trooper_black", x + 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x + 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x + 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_black", x + 256,y,z + 256, 0, TeamNum)
						end

						if TeamSide == "overmind" or TeamSide == "arm" then
							u = Spring.CreateUnit("ar_trooper_blue", x + 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x + 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x + 256,y,z + 256, 0, TeamNum)
							u = Spring.CreateUnit("ar_trooper_blue", x + 256,y,z + 256, 0, TeamNum)
						end					
					end
				end
				--Spring.SetUnitResourcing(u,"cum",-50)
				--Spring.SetUnitResourcing(u,"cue",-500)
			end
		end
	end	
end

end